using Microsoft.IdentityModel.Tokens;
using System;

namespace AcaMate.V1.Models;

/// <summary>
/// 입력 받은 토큰들(Access & Refresh) 자체에 문제가 있는 경우
/// </summary>
public class TokenException: Exception
{
    public TokenException(string message) : base(message)
    {
    }
}

/// <summary>
/// 리프레시 토큰이 만료가 나있는 경우
/// </summary>
public class RefreshRevokeException: Exception
{
    public RefreshRevokeException(string message) : base(message)
    {
    }
}

/// <summary>
/// 참조해야 하는 파일에서 오류가 발생하는 경우
/// </summary>
public class FileNotValidException : Exception
{
    public FileNotValidException(string message) : base(message)
    {
    }
}

/// <summary>
/// 파일 내부에 값을 읽을 때 오류가 발생하는 경우
/// </summary>
public class FileContentNotFoundException : Exception
{
    public FileContentNotFoundException(string message) : base(message)
    {
    }
}

/// <summary>
/// 외부 서비스에 연결시 연결 실패시
/// </summary>
public class ServiceConnectionFailedException : Exception
{
    public ServiceConnectionFailedException(string message) : base(message)
    {
        
    }
}

/// <summary>
/// PUSH 서비스 중 데이터 사용에 문제가 발생했을시
/// </summary>
public class PushInvalidException : Exception
{
    public PushInvalidException(string message) : base(message)
    {
        
    }
}
/// <summary>
/// 값이 있어야 하는데 NULL인 경우
/// </summary>
public class OutNULLException : Exception
{
    public OutNULLException(string message) : base(message)
    {
        
    }
}